Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.context
Class SecurityContextImpl

    java.lang.Object
      org.acegisecurity.context.SecurityContextImpl

All Implemented Interfaces:
  Serializable, SecurityContext

Direct Known Subclasses:
  CaptchaSecurityContextImpl

    public class SecurityContextImpl

extends Object
implements SecurityContext

Base implementation of `SecurityContext`.

Used by default by `SecurityContextHolder` and `HttpSessionContextIntegrationFilter`.

Version:
  $Id: SecurityContextImpl.java,v 1.4 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`SecurityContextImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`Authentication` | `getAuthentication()` Obtains the currently authenticated principal, or an authentication request token.
`int` | `hashCode()`
`void` | `setAuthentication(Authentication authentication)` Changes the currently authenticated principal, or removes the authentication information.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityContextImpl

    public SecurityContextImpl()

Method Detail

### setAuthentication

    public void setAuthentication(Authentication authentication)

  Description copied from interface: `SecurityContext`
  Changes the currently authenticated principal, or removes the authentication information.

  Specified by:
    `setAuthentication` in interface `SecurityContext`
  Parameters:
    `authentication` - the new `Authentication` token, or `null` if no further authentication information should be stored

### getAuthentication

    public Authentication getAuthentication()

  Description copied from interface: `SecurityContext`
  Obtains the currently authenticated principal, or an authentication request token.

  Specified by:
    `getAuthentication` in interface `SecurityContext`
  Returns:
    the `Authentication` or `null` if no authentication information is available

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.